# Contributing

Thank you for considering contributing! There are many ways you can help.

## Issues

File an issue if you think you've found a bug. Be sure to describe

1. How can it be reproduced?
2. What did you expect?
3. What actually occurred?
4. Go version, platform, etc. if possibly relevant.

## Docs

Godocs documentation, READMEs, and examples are extremely imporant. Please help improve them and if you find a typo or notice a problem, please send a fix or say something.

## Submitting Patches

Patches for fixes, features, and improvements are accepted through pull requests.

* Sign [CIA](https://cla-assistant.io/nim4/DBShield)
* Code must be go fmt'd.
* Code must pass golint and vet checks. 
* Exported methods must be documented.
* Include tests to improve coverage and prevent regressions.
* Squash changes into a single commit per feature/fix.
* Write good commit messages.

Please ask before embarking on a large improvement so you're not disappointed if it does not align with the goals of the project.

## Feature Requests

Make the case for a feature via an issue with a good title. The feature should be discussed and given a target inclusion milestone or closed.

## Contact

If you'd like to ask about something directly, tweet at [@Nilvl4](https://twitter.com/nilvl4) or email ghotbi.nima at gmail.

